;
; Flash Renamer Exif tag configuration.
;
;
;   How to modify this file:
;
;    * Change tag names: The [Tags] section contains the exif tags that are currently added to Flash Renamer. Each tag has a name and its associated exif tag id. You may change the name if you want to. For example "LightSource=37384" could be changed to "Light=37384". (Do not modify the id number!). If you change a name you must also change the corresponding return value section name below the [Tags] section, if any. Using the same example, the return value section [LightSource] would have to be renamed to [Light]. Now you can use this new name in Flash Renamer when using the <EXIF-> tag, for example <EXIF-LIGHT>!
;
;    * Modify return values: Some tags return integer values that are translated into strings by looking in the corresponding return value section. These are all the sections below the [Tags] section. You can modify these values to suite your personal taste. For example in the section [Flash] the return value "0=Not fired" could be changed to "0=Flash not used". Some return values are entered like "Format=@X mm", where @X will be replaced by the value contained in the exif tag.
;
;    * Add return value sections: It's even possible to add return value sections for tags that normally do not use this system. For example, using the tag "Make" returns the company name of the camera maker. If you add a section called [Make] and add a line like "Company=Another Name", then if you use the tag Make and it returns "Company" it will be replaced by "Another Name"!
;
;    * Add return values: If there are any return values not listed here they may be added under the appropriate section.
;
;    * Add tags: If there are any exif tags not listed here they can be added in the [Tags] sections. You must know the tag id number. It's not guaranteed that it will work, depending on the data format of the tag. A return value section can also be added, if appropriate.
;
;======================================================


[Tags]
ImageDescription=270
Make=271
Model=272
Orientation=274
XResolution=282
YResolution=283
ResolutionUnit=296
Software=305
DateTime=306
Artist=315
WhitePoint=318
PrimaryChromaticities=319
YCbCrCoefficients=529
YCbCrPositioning=531
ReferenceBlackWhite=532
Copyright=33432
ExifOffset=34665
ExposureTime=33434
FNumber=33437
ExposureProgram=34850
SpectralSensitivity=34852
ISOSpeedRatings=34855
ExifVersion=36864
DateTimeOriginal=36867
DateTimeDigitized=36868
ComponentsConfiguration=37121
CompressedBitsPerPixel=37122
ShutterSpeedValue=37377
ApertureValue=37378
BrightnessValue=37379
ExposureBiasValue=37380
MaxApertureValue=37381
SubjectDistance=37382
MeteringMode=37383
LightSource=37384
Flash=37385
FocalLength=37386
SubjectArea=37396
MakerNote=37500
UserComment=37510
SubSecTime=37520
SubSecTimeOriginal=37521
SubSecTimeDigitized=37522
FlashPixVersion=40960
ColorSpace=40961
ExifImageWidth=40962
ExifImageHeight=40963
RelatedSoundFile=40964
ExifInteroperabilityOffset=40965
FlashEnergy=41483
FocalPlaneXResolution=41486
FocalPlaneYResolution=41487
SubjectLocation=41492
FocalPlaneResolutionUnit=41488
ExposureIndex=41493
SensingMethod=41495
FileSource=41728
SceneType=41729
CFAPattern=41730
CustomRendered=41985
ExposureMode=41986
WhiteBalance=41987
DigitalZoomRatio=41988
FocalLengthIn35mmFilm=41989
SceneCaptureType=41990
GainControl=41991
Contrast=41992
Saturation=41993
Sharpness=41994
SubjectDistanceRange=41996
ImageUniqueID=42016



[Orientation]
1=Top-Left
2=Top-Right
3=Bottom-Right
4=Bottom-Left
5=Left-Top
6=Right-Top
7=Right-Bottom
8=Left-Bottom

[ExposureProgram]
1=Manual
2=Normal Program
3=Aperture Priority
4=Shutter Priority
5=Creative Program
6=Action Program
7=Portrait Mode
8=Landscape Mode

[MeteringMode]
0=Unknown
1=Average
2=Center Weighted Average
3=Spot
4=Multi Spot
5=Pattern
6=Partial 
255=Other

[LightSource] 
0=Unknown
1=Daylight
2=Fluorescent
3=Tungsten
4=Flash
9=Fine Weather
10=Cloudy Weather
11=Shade
12=Daylight Fluorescent (D 5700-7100K)
13=Day White Fluorescent (N 4600-5400K)
14=Cool White Fluorescent (W 3900-4500K)
15=White Fluorescent (WW 3200-3700K)
17=Standard Light A
18=Standard Light B
19=Standard Light C
20=D55
21=D65
22=D75
23=D50
24=ISO Studio Tungsten
255=Other

[Flash] 
0=Not fired
1=Fired.
5=No return light
7=Return light
9=Fired, Compulsory mode
13=Fired, Compulsory mode, No return light
15=Fired, Compulsory Mode, Return Light
16=Not fired, Compulsory mode
24=Not fired, Auto mode
25=Fired, Auto mode
29=Fired, Auto mode, No return light
31=Fired, Auto mode, Return light
32=No flash function
65=Fired, Red-eye mode
69=Fired, Red-eye mode, No return light
71=Fired, Red-eye mode, Return light
73=Fired, Compulsory mode, Red-eye mode
77=Fired, Compulsory mode, Red-eye mode, No return light
79=Fired, Compulsory mode, Red-eye mode, Return light
89=Fired, Auto mode, Red-eye mode
93=Fired, Auto mode, No return light, Red-eye mode
95=Fired, Auto mode, Return light, Red-eye mode

[FocalLength]
Format=@X mm

[ColorSpace]
1=sRGB
65535=Uncalibrated

[SensingMethod]
1=Not Defined
2=One-Chip Color Area Sensor
3=Two-Chip Color Area Sensor
4=Three-Chip Color Area Sensor
5=Color Sequential Area Sensor
7=Trilinear Sensor
8=Color Sequential Linear Sensor

[FileSource]
3=DSC

[SceneType]
1=A Directly Photographed Image

[ResolutionUnit] 
1=No unit
2=inch
3=cm

[FocalPlaneResolutionUnit]
1=No unit
2=inch
3=cm

[YCbCrPositioning]
1=Centered
2=Co-Sited

[SubjectDistance]
Format=@X m

[ExposureTime]
Format=1/@X sec

[ShutterSpeedValue]
Format=1/@X sec

[FlashEnergy]
Format=@X BCPS

[CustomRendered]
0=Normal Process
1=Custom Process

[ExposureMode]
0=Auto Exposure
1=Manual Exposure
2=Auto Bracket

[WhiteBalance]
0=Auto White Balance
1=Manual White Balance

[FocalLengthIn35mmFilm]
Format=@X mm

[SceneCaptureType]
0=Standard
1=Landscape
2=Portrait
3=Night Scene

[GainControl]
0=None
1=Low Gain Up
2=Hight Gain Up
3=Low Gain Down
4=High Gain Up

[Contrast]
0=Normal
1=Soft
2=Hard

[Saturation]
0=Normal
1=Low Saturation
2=Hight Saturation

[Sharpness]
0=Normal
1=Soft
2=Hard

[SubjectDistanceRange]
0=Unknown
1=Macro
2=Close View
3=Distant View
